Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513789 - Review Request: python-pytest-relaxed - Relaxed test discovery for pytest
Summary: Review Request: python-pytest-relaxed - Relaxed test discovery for pytest
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1513208
TreeView+ depends on / blocked
 
Reported: 2017-11-16 00:24 UTC by Athmane Madjoudj
Modified: 2017-11-28 23:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-28 23:50:16 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Athmane Madjoudj 2017-11-16 00:24:37 UTC
Spec URL: https://athmane.fedorapeople.org/review/python-pytest-relaxed.spec
SRPM URL: https://athmane.fedorapeople.org/review/python-pytest-relaxed-1.0.0-1.fc27.src.rpm
Description:
pytest-relaxed provides 'relaxed' test discovery for pytest. 
It is the spiritual successor to https://pypi.python.org/pypi/spec, but 
is built for pytest instead of nosetests, and rethinks some aspects of 
the design (such as a decreased emphasis on the display side of things.)

Fedora Account System Username: athmane

Comment 1 Athmane Madjoudj 2017-11-16 00:25:26 UTC
Rpmlint output:

rpmlint python-pytest-relaxed.spec python-pytest-relaxed-1.0.0-1.fc27.src.rpm
python-pytest-relaxed.src: W: spelling-error %description -l en_US nosetests -> nose tests, nose-tests, Northwests
1 packages and 1 specfiles checked; 0 errors, 1 warnings.

Comment 2 Igor Gnatenko 2017-11-16 08:35:10 UTC
> Source0:  https://github.com/bitprophet/pytest-relaxed/archive/%{version}/%{srcname}-%{version}.tar.gz
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

> %{python2_sitelib}/*.egg-info
Make it more explicit (also add trailing slash to ensure that setuptools is really used).

* Move BuildRequires under respective subpackages

---

Nothing else I can complain about. APPROVED.

Comment 3 Gwyn Ciesla 2017-11-16 22:47:50 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pytest-relaxed

Comment 4 Fedora Update System 2017-11-17 22:09:52 UTC
python-pytest-relaxed-1.0.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a188512d5f

Comment 5 Athmane Madjoudj 2017-11-17 22:11:01 UTC
Fixed in 1.0.0-2, thank you for reviewing, let me know if you want to review something in exchange.

Comment 6 Fedora Update System 2017-11-18 00:55:19 UTC
python-pytest-relaxed-1.0.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a188512d5f

Comment 7 Fedora Update System 2017-11-28 23:50:16 UTC
python-pytest-relaxed-1.0.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.